File: changelog

package info (click to toggle)
flpsed 0.7.3-4
  • links: PTS, VCS
  • area: main
  • in suites: buster
  • size: 760 kB
  • sloc: cpp: 2,517; sh: 1,230; ansic: 56; makefile: 35
file content (245 lines) | stat: -rw-r--r-- 9,610 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
211
212
213
214
215
216
217
218
219
220
221
222
223
224
225
226
227
228
229
230
231
232
233
234
235
236
237
238
239
240
241
242
243
244
245
flpsed (0.7.3-4) unstable; urgency=medium

  * QA upload.
  * debian/control:
    - Update Vcs-* fields to salsa.debian.org.
    - Bump B-D on debhelper to >= 11.
    - Drop redundant B-D on dh-autoreconf.
    - Bump Standards-Version to 4.1.5.
    - Add B-D-I on inkscape.
    - Add arch-independent flpsed-data package for icons and man page.
  * Bump DH level to 11.
  * Strip debian/changelog of trailing white space.
  * Update debian/copyright.
  * debian/source/lintian-overrides:
    - Suppress debian-watch-does-not-check-gpg-signature.
    - Suppress debian-watch-uses-insecure-uri.
  * Add machine-readable upstream metadata.
  * Add debian/gbp.conf.
  * debian/patches:
    - Regenerate with gbp.
    - Set window title and class to "flpsed" so that the window displays
      the correct icon specified in our desktop file. (Closes: #847723)
    - Don't suggest to save PS file over original PDF file. Also retitle
      'Save File as' and 'Export PDF' dialogs more appropriately.
      (Closes: #903091)
  * Drop debian/flpsed.xpm in favour of hicolor icons.
  * debian/rules:
    - Generate PNG icons from SVG icon.
    - Enable LFS on 32-bit architectures.

 -- Carlos Maddela <e7appew@gmail.com>  Fri, 06 Jul 2018 12:15:29 +1000

flpsed (0.7.3-3) unstable; urgency=medium

  * QA upload.
  * Bumped DH level to 10.
  * debian/control:
      - Bumped Standards-Version to 3.9.8.
      - Updated the Vcs-git field to use https instead of git.
  * debian/copyright: updated the packaging copyright years.
  * debian/patches/:
      - fix-desktop-file: renamed to 10_fix-desktop-file.patch.
      - fix-manpage: renamed to 20_fix-manpage.patch.
  * debian/rules: removed '--with autoreconf' because it is default in DH 10.
  * debian/watch: bumped to version 4.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 30 Dec 2016 01:07:46 -0200

flpsed (0.7.3-2) unstable; urgency=medium

  * QA upload.
  * debian/menu: removed in accordance with CTTE #741573.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 27 Oct 2015 17:36:36 -0200

flpsed (0.7.3-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
  * debian/control: added the dh-autoreconf to Build-Depends field.
  * debian/copyright: updated the upstream copyright years.
  * debian/flpsed.xpm: added as XPM icon.
  * debian/install: added lines to install the picures used as icons.
  * debian/menu: added the flpsed.xpm as icon.
  * debian/patches/fix-uncontrolled-format-string: removed. The upstream fixed
      the source code. Thanks.
  * debian/rules: fixed the autoreconf call.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 27 May 2015 14:13:39 -0300

flpsed (0.7.2-2) unstable; urgency=medium

  * QA upload.
  * Upload to unstable.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 06 May 2015 10:32:59 -0300

flpsed (0.7.2-1) experimental; urgency=medium

  * QA upload.
  * New upstream release. (Closes: #645162)
  * Set maintainer as Debian QA Group <packages@qa.debian.org>.
  * Migrations:
      - debian/copyright to 1.0 format.
      - debian/rules to new (reduced) format.
      - DebSrc to 3.0.
      - DH level to 9.
  * debian/control:
      - Bumped Standards-Version to 3.9.6.
      - Changed from libfltk1.1-dev to libfltk1.3-dev in Build-Depends field.
        (Closes: #644186)
      - Changed the Priority from Extra to Optional.
      - Removed the leading article from short description.
      - Reformatted the long description.
      - Updated the Homepage field.
      - Updated the Vcs-* fields to use Git instead Svn. The previous commits
        were migrated from Svn to Git.
  * debian/copyright: updated all information.
  * debian/dirs: useless. Removed.
  * debian/docs: removed the useless file NEWS.
  * debian/flpsed.desktop: removed. The upstream is providing this file now.
  * debian/install: changed to install the upstream .desktop file.
  * debian/patches/:
      - fix-desktop-file: added to make little adjustments in upstream desktop
        file.
      - fix-manpage: added to fix a little issue in manpage.
      - fix-uncontrolled-format-string: created to fix a security hole caused
        by some variables containing uncontrolled format strings.
  * debian/watch: updated.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 03 Feb 2015 11:04:45 -0200

flpsed (0.5.2-1) unstable; urgency=low

  * New upstream release (0.5.2). Some page navigation features
    added.

 -- Kapil Hari Paranjape <kapil@debian.org>  Mon, 02 Mar 2009 09:51:14 +0530

flpsed (0.5.1-2) stable-proposed-updates; urgency=low

  * debian/control: replaced "ghostscript" dependency with
    "ghostscript-x" since we use "x11alpha" driver.
    Closes: #517521.

 -- Kapil Hari Paranjape <kapil@debian.org>  Mon, 02 Mar 2009 09:50:14 +0530

flpsed (0.5.1-1) unstable; urgency=low

  * New upstream release (0.5.1)
    - adds a simple print command dialog. (Closes: #481194)
    - source cleanup.
  * debian/flpsed.sgml: removed as it is no longer required.

 -- Kapil Hari Paranjape <kapil@debian.org>  Wed, 09 Jul 2008 10:01:10 +0530

flpsed (0.5.0-3) unstable; urgency=low

  * debian/control:
    - added Vcs-Svn tag.
    - removed gs-* dependencies
    - bumped debhelper dependency version to etch version 5.0.42.
    - Standards-Version 3.8.0. No other changes required.
  * debian/compat: bumped to 5 since "oldstable" support
    is no longer required.
  * debian/watch: added entries to track versions 0.5.x
    since 0.6.x onwards will use fltk2.x.

 -- Kapil Hari Paranjape <kapil@debian.org>  Sun, 06 Jul 2008 09:11:20 +0530

flpsed (0.5.0-2) unstable; urgency=low

  * New maintainer. (Closes: #460045)
    - Thanks to the previous maintainer Morten Brix Pedersen.
    - Thanks to the NMU by A. Menucc1.
    - Thanks to the packaging of version 0.5.0 by Mark Purcell.
  * Fixed earlier changelog entries by Mark Purcell to mark
    additional bug fixes due to new upstream release package.
  * debian/menu: Used new "Applications" section instead of "Apps".
  * debian/control:
    - Standards version 3.7.3. No changes required.
    - Added alternatives "ghostscript" and "gs" in addition to "gs-esp"
      in "Depends:" for "flpsed".
    - Removed un-needed "Build-Depends:" on "docbook-to-man" and
      "dpatch".
    - Updated debhelper dependency to at least 4.2.21 since we use
      "dh_desktop".
  * debian/rules: Modified "clean" target to catch "distclean" errors.
  * Incorporate upstream man page "flpsed.1".
    - debian/rules:
      + "build": add "--mandir=/usr/share/man" to configure.
      + "build": avoid conversion of "debian/flpsed.sgml".
      + "install": avoid invocation of "dh_installman flpsed.1" in
         since upstream Makefile already does this.
      + "clean": remove removal of manpage.
    - revert changes made to Makefile.{am,in} in version 0.5.0-1
      which undid installation of upstream's manpage.
  * Incorporate desktop files. Thanks to Emmet Hikory and Stefan Potyra.
    - debian/flpsed.desktop: added.
    - debian/dirs: added entry "usr/share/applications".
    - debian/install: added entry for "debian/flpsed.desktop".
    - debian/rules: added "dh_install" to "install" rules and
      "dh_desktop" to "binary" rules.
  * debian/copyright:
    - added copyright assertion for the files under "debian/".
    - minor cleanup.

 -- Kapil Hari Paranjape <kapil@debian.org>  Sat, 19 Jan 2008 09:01:33 +0530

flpsed (0.5.0-1) unknown; urgency=low

  * New upstream release (0.5.0). (Closes: #401205, #364300)
    - Uses "gs" instead of "gs-esp". (Closes: #448261)

 -- Mark Purcell <msp@debian.org>  Sat, 27 Oct 2007 15:34:02 +0100

flpsed (0.3.7-1.1) unstable; urgency=high

  * NMU, backported some changes from version 0.3.9
  * debian/rules : use "make distclean" to delete .deps dirs and other cruft
  * Add "Depends: gs-esp" and use gs-esp   (Closes: #402451).
    The lack of dependency is a RC bug, hence the urgency.
  * GsWidget::setProps() : call XSync()
    (this is done in 0.3.9 to use gs-gpl ; it does not solve bug 402451
    in Debian; but it makes sense nonetheless)
  * Add Recommends: xpdf-utils | poppler-utils ; this fixes bug
    "pdftops needed for pdf import", thanks to Stephan Beyer (Closes: #388318).
  * Bug fix: "flpsed generates postscript with references to an unknown
    font 'HelveticaNeue-Roman'", thanks to Jochen Eisinger (Closes: #398906)
    (this change is also part of the newer 0.3.9, so it is a backport)

 -- A Mennucc1 <mennucc1@debian.org>  Fri, 12 Jan 2007 09:37:15 +0100

flpsed (0.3.7-1) unstable; urgency=low

  * New upstream release. Closes: #357749.
    - Fix build failure with g++ 4.1. Closes: #356242.
  * Update FSF address in debian/copyright
  * Update standards version to 3.6.2

 -- Morten Brix Pedersen <morten@wtf.dk>  Mon, 24 Apr 2006 12:01:12 +0200

flpsed (0.3.5-1) unstable; urgency=low

  * New upstream release. Closes: #313018.
  * This version supports colors. Closes: #316054.
  * Compiled against new fltk, which has finished the C++ ABI transition.
    (Closes: #321430)
  * Remove previously applied patch. Merged upstream.
  * Change section from graphics/optional to graphics/extra.

 -- Morten Brix Pedersen <morten@wtf.dk>  Mon, 18 Jul 2005 04:14:09 +0200

flpsed (0.3.3-1) unstable; urgency=low

  * New upstream release.
  * Applied patch to fix FTBFS on amd64. Closes: #303406.

 -- Morten Brix Pedersen <morten@wtf.dk>  Wed, 6 Apr 2005 22:09:28 +0100

flpsed (0.3.2-1) unstable; urgency=low

  * Initial release. Closes: #296177.

 -- Morten Brix Pedersen <morten@wtf.dk>  Thu, 17 Feb 2005 18:26:10 +0100